import request from '@/utils/request'

// 查询抽查结果信息列表
export function listResults(query) {
  return request({
    url: '/basicData/xcrInspectionResults/findByPage',
    method: 'get',
    params: query
  })
}

// 查询抽查结果信息详细
export function getResults(xhCodeId) {
  return request({
    url: '/basicData/xcrInspectionResults/' + xhCodeId,
    method: 'get'
  })
}

// 新增抽查结果信息
export function addResults(data) {
  return request({
    url: '/basicData/xcrInspectionResults',
    method: 'post',
    data: data
  })
}

// 修改抽查结果信息
export function updateResults(data) {
  return request({
    url: '/basicData/xcrInspectionResults',
    method: 'put',
    data: data
  })
}

// 删除抽查结果信息
export function delResults(xhCodeId) {
  return request({
    url: '/basicData/xcrInspectionResults/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delResultsBatch(ids) {
  return request.post('/basicData/xcrInspectionResults/delete',ids)
}
